petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoComputeJacobianInequality

Computes the Jacobian matrix that has been set with TaoSetJacobianInequalityRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianInequality(Tao tao, Vec X, Mat J, Mat Jpre)

Collective on Tao Many br

### Input Parameters

| solver | - the Tao solver context Many br
| xx | - input vector Many br

### Output Parameters

| H | - Jacobian matrix Many br
| Hpre | - Preconditioning matrix Many br

### Notes

Most users should not need to explicitly call this routine, as it Many bris used internally within the minimization solvers. Many br

Many br

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetJacobianStateRoutine(), TaoComputeJacobianDesign(), TaoSetStateDesignIS()

Level:developer
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages